<!doctype html public "-/w3c/dtd html 4.0 transitional/en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.5 [en] (X11; I; SunOS 5.6 sun4u) [Netscape]">
   <title>LDAS LHO database Insertion Rates</title>
</head>
<body>

<pre><b><font size=-1>LDAS LHO Database Insertion Rates</font></b></pre>
<font size=-2>
<table cellpadding=1>
<tr>
    <th align=left width=150>Test Period</th>
    <td>March 1st, 2000</td>
</tr>
<tr>
    <th align=left width=150>Input data</th>
    <td>XML for ilwds with dimensions 100</td>
    <td>
</tr>
<tr>
    <th align=left width=150>Platform</th>
    <td>metaserver.ligo-wa.caltech.edu (SUN 450, RAM=256MB, Solaris 2.7)</td>
    <td>
</tr>
<tr>
    <th align=left width=150>LDAS software</th>
    <td>ldas-0.0.9, IBM DB2 6.1</td>
    <td>
</tr>
</table></font>

<pre><i><font size=-1>Results are displayed in the order inserted.</i></font></pre>

<table border type=1><font size=-1>
<tr>
    <th align=left width=200>Table</th>
    <th width=100>#rows per block insert</th>
    <th width=100>CPU time (secs)</th>
    <th width=100>Wall Time (secs)</th>
    <th width=100>Rate (#rows/sec)</th>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">process</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.34</td>
    <td align=right bgcolor="#ffe6cd">0.659</td>
    <td align=right bgcolor="#ffe6cd">151.75</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">process_params</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.25</td>
    <td align=right bgcolor="#ffe6cd">0.382</td>
    <td align=right bgcolor="#ffe6cd">261.78</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_chanlist</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.16</td>
    <td align=right bgcolor="#ffe6cd">0.366</td>
    <td align=right bgcolor="#ffe6cd">273.22</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_writer</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.26</td>
    <td align=right bgcolor="#ffe6cd">0.513</td>
    <td align=right bgcolor="#ffe6cd">194.93</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.23</td>
    <td align=right bgcolor="#ffe6cd">0.379</td>
    <td align=right bgcolor="#ffe6cd">263.85</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">frameset_loc</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.29</td>
    <td align=right bgcolor="#ffe6cd">0.579</td>
    <td align=right bgcolor="#ffe6cd">172.71</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">segment_definer</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.25</td>
    <td align=right bgcolor="#ffe6cd">0.472</td>
    <td align=right bgcolor="#ffe6cd">211.86</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">segment</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.15</td>
    <td align=right bgcolor="#ffe6cd">0.239</td>
    <td align=right bgcolor="#ffe6cd">418.41</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_value</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.33</td>
    <td align=right bgcolor="#ffe6cd">0.603</td>
    <td align=right bgcolor="#ffe6cd">165.84</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_statistics</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.28</td>
    <td align=right bgcolor="#ffe6cd">0.556</td>
    <td align=right bgcolor="#ffe6cd">179.86</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_comment</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.29</td>
    <td align=right bgcolor="#ffe6cd">0.711</td>
    <td align=right bgcolor="#ffe6cd">140.65</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">summ_spectrum</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">filter</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.18</td>
    <td align=right bgcolor="#ffe6cd">0.427</td>
    <td align=right bgcolor="#ffe6cd">234.19</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">filter_params</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.22</td>
    <td align=right bgcolor="#ffe6cd">0.353</td>
    <td align=right bgcolor="#ffe6cd">283.29</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">gds_trigger</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.24</td>
    <td align=right bgcolor="#ffe6cd">0.438</td>
    <td align=right bgcolor="#ffe6cd">228.31</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_inspiral</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.31</td>
    <td align=right bgcolor="#ffe6cd">0.718</td>
    <td align=right bgcolor="#ffe6cd">139.28</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_burst</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.24</td>
    <td align=right bgcolor="#ffe6cd">0.695</td>
    <td align=right bgcolor="#ffe6cd">143.88</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_ringdown</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.15</td>
    <td align=right bgcolor="#ffe6cd">0.345</td>
    <td align=right bgcolor="#ffe6cd">289.86</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_unmodeled</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.25</td>
    <td align=right bgcolor="#ffe6cd">0.535</td>
    <td align=right bgcolor="#ffe6cd">186.92</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_unmodeled_v</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.17</td>
    <td align=right bgcolor="#ffe6cd">0.303</td>
    <td align=right bgcolor="#ffe6cd">330.03</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_dperiodic</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.25</td>
    <td align=right bgcolor="#ffe6cd">0.555</td>
    <td align=right bgcolor="#ffe6cd">180.18</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_datasource</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.25</td>
    <td align=right bgcolor="#ffe6cd">0.426</td>
    <td align=right bgcolor="#ffe6cd">234.74</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">sngl_transdata</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
    <td align=right bgcolor="#ffe6cd">0.00</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">multi_inspiral</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.24</td>
    <td align=right bgcolor="#ffe6cd">0.515</td>
    <td align=right bgcolor="#ffe6cd">194.17</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">multi_burst</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.22</td>
    <td align=right bgcolor="#ffe6cd">0.816</td>
    <td align=right bgcolor="#ffe6cd">122.55</td>
</tr>
<th align=left width=100 bgcolor="#ffe6cd">coinc_sngl</th>             
    <td align=right bgcolor="#ffe6cd">100</td>
    <td align=right bgcolor="#ffe6cd">0.40</td>
    <td align=right bgcolor="#ffe6cd">0.971</td>
    <td align=right bgcolor="#ffe6cd">102.98</td>
</tr>
</table></font>
<p>Summary: 
<ol>
<li>Insertion rates are much faster due to use of IBM db2 driver instead
of openlink software and improvement in the object space library handling of arrays.</li>
<p>
<li>Insertion for tables <i>summ_spectrum</i> and <i>sngl_transdata</i> are not
available for now due to a bug in the metadataAPI that rejects blob data.
</li>
</body>
</html>

